SystemOrganization addCategory: #LearnCanvas!

Morph subclass: #LearnCanvasMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'LearnCanvas'!

LearnCanvasMorph subclass: #AlphaBlendingMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'LearnCanvas'!

!AlphaBlendingMorph methodsFor: 'as yet unclassified' stamp: 'HwaJong 12/12/2012 21:39'!
drawLearningOn: aCanvas
	|alphaCanvas|
	alphaCanvas := aCanvas asAlphaBlendingCanvas: 0.4.
	alphaCanvas  fillOval: self bounds color: Color green.
	alphaCanvas fillRectangle: (self bounds insetBy: 20) color: Color blue.! !

LearnCanvasMorph subclass: #ClipByDuringMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'LearnCanvas'!

!ClipByDuringMorph methodsFor: 'as yet unclassified' stamp: 'HwaJong 12/12/2012 21:40'!
drawLearningOn: aCanvas
	aCanvas clipBy: (self bounds insetBy: 20) 
		during:  [:canvas| canvas fillOval: self bounds color: Color green].
	aCanvas frameOval: self bounds color: Color orange.
	aCanvas frameRectangle: (self bounds insetBy: 20) color: Color orange.! !

LearnCanvasMorph subclass: #DashedLineToMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'LearnCanvas'!

!DashedLineToMorph methodsFor: 'as yet unclassified' stamp: 'HwaJong 12/21/2012 15:35'!
drawLearningOn: aCanvas
	aCanvas line: self topRight to: self bottomLeft width: 2 color: Color red dashLength: 5 secondColor: Color green secondDashLength: 2 startingOffset: 0 ! !

LearnCanvasMorph subclass: #DrawPolygonMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'LearnCanvas'!

!DrawPolygonMorph methodsFor: 'as yet unclassified' stamp: 'HwaJong 12/12/2012 21:41'!
drawLearningOn: aCanvas
	| rect |
	rect := self bounds insetBy: 20.
	aCanvas drawPolygon: {rect topLeft. rect center. rect topRight. rect bottomRight. rect bottomLeft} color: Color blue borderWidth: 2 borderColor: Color green.! !

LearnCanvasMorph subclass: #DrawStringMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'LearnCanvas'!

!DrawStringMorph methodsFor: 'as yet unclassified' stamp: 'HwaJong 12/12/2012 21:43'!
drawLearningOn: aCanvas
	aCanvas drawString: 'Simple as that.' at: self topLeft.! !

LearnCanvasMorph subclass: #FrameAndFillRectangleFillColorBorderWidthBorderWidthBorderColorMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'LearnCanvas'!

!FrameAndFillRectangleFillColorBorderWidthBorderWidthBorderColorMorph methodsFor: 'as yet unclassified' stamp: 'HwaJong 12/12/2012 21:58'!
drawLearningOn: aCanvas
	aCanvas frameAndFillRectangle: (self bounds insetBy: 20) fillColor: Color orange borderWidth: 4 borderColor: Color blue! !

LearnCanvasMorph subclass: #FrameAndFillRectangleFillColorFillColorBorderWidthTopLeftColorBottomRightColorMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'LearnCanvas'!

!FrameAndFillRectangleFillColorFillColorBorderWidthTopLeftColorBottomRightColorMorph methodsFor: 'as yet unclassified' stamp: 'HwaJong 12/12/2012 22:01'!
drawLearningOn: aCanvas
	aCanvas frameAndFillRectangle: (self bounds insetBy: 20) fillColor: Color orange borderWidth: 4 topLeftColor: Color red bottomRightColor: Color green.! !

LearnCanvasMorph subclass: #FrameOvalFillStyleMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'LearnCanvas'!

!FrameOvalFillStyleMorph methodsFor: 'as yet unclassified' stamp: 'HwaJong 12/12/2012 22:50'!
drawLearningOn: aCanvas
	| fill |
	fill := SolidFillStyle color: Color yellow.
	aCanvas fillOval: self bounds fillStyle: fill borderWidth: 4 borderColor: Color orange
! !

LearnCanvasMorph subclass: #FrameOvalMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'LearnCanvas'!

!FrameOvalMorph methodsFor: 'as yet unclassified' stamp: 'HwaJong 12/12/2012 21:44'!
drawLearningOn: aCanvas
	aCanvas frameOval: self bounds color: Color orange.
! !

LearnCanvasMorph subclass: #FrameRectangleMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'LearnCanvas'!

!FrameRectangleMorph methodsFor: 'as yet unclassified' stamp: 'HwaJong 12/12/2012 21:44'!
drawLearningOn: aCanvas
	aCanvas frameRectangle: (self bounds insetBy: 20) color: Color orange.
! !

LearnCanvasMorph subclass: #GreenEllipseMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'LearnCanvas'!

!GreenEllipseMorph methodsFor: 'as yet unclassified' stamp: 'HwaJong 12/12/2012 21:45'!
drawLearningOn: aCanvas
	aCanvas fillOval: self bounds color: Color green.
! !

!LearnCanvasMorph classSide methodsFor: 'as yet unclassified' stamp: 'HwaJong 12/12/2012 19:10'!
newAndOpenWindow
	|x w|
	x := self new.
	w := x openInWindowLabeled: x class name.
	w extent: 300@300.
! !

!LearnCanvasMorph classSide methodsFor: 'as yet unclassified' stamp: 'HwaJong 12/21/2012 15:36'!
openAllInWindow
	self allSubclasses do: [:each| each newAndOpenWindow ]! !

!LearnCanvasMorph methodsFor: 'as yet unclassified' stamp: 'HwaJong 12/12/2012 21:38'!
drawOn: aCanvas
	[super drawOn: aCanvas.
	self drawLearningOn: aCanvas.
	] on: Error do: [:e| Transcript cr; print: e; flush]! !

LearnCanvasMorph subclass: #LearnRectangleMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'LearnCanvas'!

!LearnRectangleMorph methodsFor: 'as yet unclassified' stamp: 'HwaJong 12/12/2012 21:45'!
drawLearningOn: aCanvas
	aCanvas fillRectangle: (self bounds insetBy: 20) color: Color blue.
! !

LearnCanvasMorph subclass: #LineToMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'LearnCanvas'!

!LineToMorph methodsFor: 'as yet unclassified' stamp: 'HwaJong 12/12/2012 21:45'!
drawLearningOn: aCanvas
	aCanvas line: self topRight to: self bottomLeft color: Color red.
! !

LearnCanvasMorph subclass: #PaintImageMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'LearnCanvas'!

!PaintImageMorph methodsFor: 'as yet unclassified' stamp: 'HwaJong 12/12/2012 21:46'!
drawLearningOn: aCanvas
	aCanvas paintImage: (Form allInstances select: [:each| each width between: 20 and: 50]) anyOne at: self topLeft.
! !

LearnCanvasMorph subclass: #RedEllipseMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'LearnCanvas'!

!RedEllipseMorph methodsFor: 'as yet unclassified' stamp: 'HwaJong 12/12/2012 21:46'!
drawLearningOn: aCanvas
	aCanvas fillOval: self bounds color: Color red.
! !

LearnCanvasMorph subclass: #RotatedLearnRectangleMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'LearnCanvas'!

!RotatedLearnRectangleMorph methodsFor: 'as yet unclassified' stamp: 'HwaJong 12/21/2012 15:41'!
drawLearningOn: aCanvas
	aCanvas 
		transformBy: (MatrixTransform2x3 withAngle: 2) 
		clippingTo: (0@0 corner: 5000@5000) 
		during: [:canvas| canvas fillRectangle: (self bounds insetBy: 20) color: Color blue ]  
! !

LearnCanvasMorph subclass: #ShadowDrawingMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'LearnCanvas'!

!ShadowDrawingMorph methodsFor: 'as yet unclassified' stamp: 'HwaJong 12/12/2012 21:47'!
drawLearningOn: aCanvas
	| shadowCanvas ext inner |
	shadowCanvas := aCanvas asShadowDrawingCanvas.
	ext := self extent / 2.
	inner := self bounds insetBy: 20.
	shadowCanvas fillOval: (inner topLeft extent: ext)color: Color red.
	shadowCanvas fillOval: (inner topLeft + 50 extent: ext)color: Color red.
	! !

LearnCanvasMorph subclass: #TranslateByMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'LearnCanvas'!

!TranslateByMorph methodsFor: 'as yet unclassified' stamp: 'HwaJong 12/12/2012 22:40'!
drawLearningOn: aCanvas
	aCanvas line: self topCenter to: self bottomCenter color: Color gray.
	aCanvas line: self leftCenter to: self rightCenter color: Color gray.
	aCanvas translateBy: 20@10 during: 
		[:canvas | canvas frameOval: self bounds color: Color orange].! !
